<?php

	include_once( PLOG_CLASS_PATH."class/object/object.class.php" );
	include_once( PLOG_CLASS_PATH."class/data/timestamp.class.php" );
	
	class FeedData extends Object
	{
		var $_myLink;
		var $_lastRead;
		var $_id;
	
		function FeedData( $myLink, $lastRead, $id = -1 )
		{
			$this->_myLink = $myLink;
			if( $lastRead == "" )
				$this->_lastRead = "";
			else
				$this->_lastRead = new Timestamp( $lastRead );
			$this->_id = $id;
		}
		
		function getId()
		{
			return $id;
		}
		
		function getLinkId()
		{
			return $this->_myLink->getId();
		}
		
		function getLastRead()
		{
			return $this->_lastRead;
		}
		
		function setLastRead( $lastRead )
		{
			$this->_lastRead = $lastRead;
		}
		
		function getMyLink()
		{
			return $this->_myLink;
		}
	}
?>